<div class="container">
  <div class="row">
    <div class="m-auto col-sm-12 col-md-9 col-lg-6">
      <mat-card>
        <mat-card-header>
          <mat-card-title>Sign in</mat-card-title>
        </mat-card-header>
        <mat-card-content>
          <form [formGroup]="signInForm">
            <mat-form-field class="full-width">
              <mat-label>Email</mat-label>
              <input type="email" matInput formControlName="email" placeholder="some_email@example.com">
              <mat-error *ngIf="email!.errors?.email && !email!.errors?.required">
                Please enter a valid email address
              </mat-error>
              <mat-error *ngIf="email!.errors?.required">
                Email is <strong>required</strong>
              </mat-error>
            </mat-form-field>
            <mat-form-field class="full-width">
              <mat-label>Password</mat-label>
              <input type="password" matInput formControlName="password">
              <mat-error *ngIf="password!.errors?.required">
                Please enter a valid email address
              </mat-error>
            </mat-form-field>
            <button mat-raised-button color="primary">Sign In</button>
          </form>
        </mat-card-content>
      </mat-card>
    </div>

  </div>
</div>
